Verified Commit d1b520c5 authored by Sébastiaan Versteeg's avatar Sébastiaan Versteeg
Browse files

Update React Native to 0.59.x

parent e00c479c
......@@ -7,7 +7,7 @@ buildscript {
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.4'
classpath 'com.android.tools.build:gradle:3.3.0'
classpath 'com.google.gms:google-services:4.0.1'
// NOTE: Do not place your application dependencies here; they belong
......
......@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.1-all.zip
/**
* Metro configuration for React Native
* https://github.com/facebook/react-native
*
* @format
*/
module.exports = {
transformer: {
getTransformOptions: async () => ({
transform: {
experimentalImportSupport: false,
inlineRequires: false,
},
}),
},
};
......@@ -867,6 +867,46 @@
"@types/istanbul-lib-coverage" "^2.0.0"
"@types/yargs" "^12.0.9"
"@react-native-community/cli@^1.2.1":
version "1.9.4"
resolved "https://registry.yarnpkg.com/@react-native-community/cli/-/cli-1.9.4.tgz#51e4ba30aa6ee29f0c1e2bedf69ac7d1a4df1a8c"
integrity sha512-7XjgqCdi23g6V7RV4tsYvqVqOBtNjAsWe5Oj2dR5KxDi3YqUyIyPjDWzyFkIxiO9XTGp9Al4QSmRwtOERvHO8A==
dependencies:
chalk "^1.1.1"
commander "^2.19.0"
compression "^1.7.1"
connect "^3.6.5"
denodeify "^1.2.1"
envinfo "^5.7.0"
errorhandler "^1.5.0"
escape-string-regexp "^1.0.5"
execa "^1.0.0"
fs-extra "^7.0.1"
glob "^7.1.1"
graceful-fs "^4.1.3"
inquirer "^3.0.6"
lodash "^4.17.5"
metro "^0.51.0"
metro-config "^0.51.0"
metro-core "^0.51.0"
metro-memory-fs "^0.51.0"
metro-react-native-babel-transformer "^0.51.0"
mime "^1.3.4"
minimist "^1.2.0"
mkdirp "^0.5.1"
morgan "^1.9.0"
node-fetch "^2.2.0"
node-notifier "^5.2.1"
opn "^3.0.2"
plist "^3.0.0"
semver "^5.0.3"
serve-static "^1.13.1"
shell-quote "1.6.1"
slash "^2.0.0"
ws "^1.1.0"
xcode "^2.0.0"
xmldoc "^0.4.0"
"@sentry/cli@^1.36.1":
version "1.39.1"
resolved "https://registry.yarnpkg.com/@sentry/cli/-/cli-1.39.1.tgz#a707af5027257df79f1d2dc7731fd14494b5bd3e"
......@@ -2497,6 +2537,11 @@ commander@^2.11.0, commander@^2.15.1, commander@^2.9.0:
resolved "https://registry.yarnpkg.com/commander/-/commander-2.19.0.tgz#f6198aa84e5b83c46054b94ddedbfed5ee9ff12a"
integrity sha512-6tvAOO+D6OENvRAh524Dh9jcfKTYDQAqvqezbCW82xj5X0pSrcpxtvRKHLG0yBY6SD7PSDrJaj+0AiOcKVd1Xg==
commander@^2.19.0:
version "2.20.0"
resolved "https://registry.yarnpkg.com/commander/-/commander-2.20.0.tgz#d58bb2b5c1ee8f87b0d340027e9e94e222c5a422"
integrity sha512-7j2y+40w61zy6YC2iRNpUe/NwhNyoXrYpHMrSunaMG64nRnaf96zO/KMQR4OyN/UnE5KLyEBnKHd4aG3rskjpQ==
commander@~2.13.0:
version "2.13.0"
resolved "https://registry.yarnpkg.com/commander/-/commander-2.13.0.tgz#6964bca67685df7c1f1430c584f07d7597885b9c"
......@@ -3709,6 +3754,15 @@ fs-extra@^1.0.0:
jsonfile "^2.1.0"
klaw "^1.0.0"
fs-extra@^7.0.1:
version "7.0.1"
resolved "https://registry.yarnpkg.com/fs-extra/-/fs-extra-7.0.1.tgz#4f189c44aa123b895f722804f55ea23eadc348e9"
integrity sha512-YJDaCJZEnBmcbw13fvdAM9AwNOJwOzrE4pqMqBq5nFiEqXUqHwlK4B+3pUw6JNvfSPtX05xFHtYy/1ni01eGCw==
dependencies:
graceful-fs "^4.1.2"
jsonfile "^4.0.0"
universalify "^0.1.0"
fs-minipass@^1.2.5:
version "1.2.5"
resolved "https://registry.yarnpkg.com/fs-minipass/-/fs-minipass-1.2.5.tgz#06c277218454ec288df77ada54a03b8702aacb9d"
......@@ -5302,6 +5356,13 @@ jsonfile@^2.1.0:
optionalDependencies:
graceful-fs "^4.1.6"
jsonfile@^4.0.0:
version "4.0.0"
resolved "https://registry.yarnpkg.com/jsonfile/-/jsonfile-4.0.0.tgz#8771aae0799b64076b76640fca058f9c10e33ecb"
integrity sha1-h3Gq4HmbZAdrdmQPygWPnBDjPss=
optionalDependencies:
graceful-fs "^4.1.6"
jsonify@~0.0.0:
version "0.0.0"
resolved "https://registry.yarnpkg.com/jsonify/-/jsonify-0.0.0.tgz#2c74b6ee41d93ca51b7b5aaee8f503631d252a73"
......@@ -5610,10 +5671,10 @@ merge@^1.2.0:
resolved "https://registry.yarnpkg.com/merge/-/merge-1.2.1.tgz#38bebf80c3220a8a487b6fcfb3941bb11720c145"
integrity sha512-VjFo4P5Whtj4vsLzsYBu5ayHhoHJ0UqNm7ibvShmbmoz7tGi0vXaoJbGdB+GmDMLUdg8DpQXEIeVDAe8MaABvQ==
metro-babel-register@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.53.1.tgz#41c73313ff882d28d8f7df072d2c7a6b7b314ac8"
integrity sha512-kDu7mktGCVdpa2islDzmNXZ0sGQjUvIEcQkmO9pt4b4d8QVecEHyHSZB9jvWnE2w9lADzvnERmZLHS2iDDYOyw==
metro-babel-register@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.51.0.tgz#d86d3f2d90b45c7a3c6ae67a53bd1e50bad7a24d"
integrity sha512-rhdvHFOZ7/ub019A3+aYs8YeLydb02/FAMsKr2Nz2Jlf6VUxWrMnrcT0NYX16F9TGdi2ulRlJ9dwvUmdhkk+Bw==
dependencies:
"@babel/core" "^7.0.0"
"@babel/plugin-proposal-class-properties" "^7.0.0"
......@@ -5628,10 +5689,10 @@ metro-babel-register@0.53.1:
core-js "^2.2.2"
escape-string-regexp "^1.0.5"
metro-babel-register@^0.49.1:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.49.2.tgz#746c73311135bd6c2af4d83c2cc6c5cbcf0e8a65"
integrity sha512-xx+SNwJ3Dl4MmSNn1RpUGc7b5pyTxXdpqpE7Fuk499rZffypVI1uhKOjKt2lwQhlyD03sXuvB/m3RdEg3mivWg==
metro-babel-register@0.53.1:
version "0.53.1"
resolved "https://registry.yarnpkg.com/metro-babel-register/-/metro-babel-register-0.53.1.tgz#41c73313ff882d28d8f7df072d2c7a6b7b314ac8"
integrity sha512-kDu7mktGCVdpa2islDzmNXZ0sGQjUvIEcQkmO9pt4b4d8QVecEHyHSZB9jvWnE2w9lADzvnERmZLHS2iDDYOyw==
dependencies:
"@babel/core" "^7.0.0"
"@babel/plugin-proposal-class-properties" "^7.0.0"
......@@ -5646,6 +5707,20 @@ metro-babel-register@^0.49.1:
core-js "^2.2.2"
escape-string-regexp "^1.0.5"
metro-babel-transformer@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.51.0.tgz#9ee5199163ac46b2057527b3f8cbd8b089ffc03e"
integrity sha512-M7KEY/hjD3E8tJEliWgI0VOSaJtqaznC0ItM6FiMrhoGDqqa1BvGofl+EPcKqjBSOV1UgExua/T1VOIWbjwQsw==
dependencies:
"@babel/core" "^7.0.0"
metro-babel-transformer@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.51.1.tgz#97be9e2b96c78aa202b52ae05fb86f71327aef72"
integrity sha512-+tOnZZzOzufB86ASdfimUEGB1jBKsdsVpPdjNJZkueTFyvYlGqWDQKHM1w9bwKMeM/czPQ48Y6m8Bou6le0X4w==
dependencies:
"@babel/core" "^7.0.0"
metro-babel-transformer@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-babel-transformer/-/metro-babel-transformer-0.52.0.tgz#9aec370b77d0246155869e7ab51880f70dfa859e"
......@@ -5660,10 +5735,17 @@ metro-babel-transformer@0.53.1:
dependencies:
"@babel/core" "^7.0.0"
metro-babel7-plugin-react-transform@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-babel7-plugin-react-transform/-/metro-babel7-plugin-react-transform-0.49.2.tgz#d4c43faa6f2b91cc1b244a36a5d708ae8d39dbb2"
integrity sha512-LpJT8UvqF/tvVqEwiLUTMjRPhEGdI8e2dr3424XaRANba3j0nqmrbKdJQsPE8TrcqMWR4RHmfsXk0ti5QrEvJg==
metro-babel7-plugin-react-transform@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/metro-babel7-plugin-react-transform/-/metro-babel7-plugin-react-transform-0.51.0.tgz#af27dd81666b91f05d2b371b0d6d283c585e38b6"
integrity sha512-dZ95kXcE2FJMoRsYhxr7YLCbOlHWKwe0bOpihRhfImDTgFfuKIzU4ROQwMUbE0NCbzB+ATFsa2FZ3pHDJ5GI0w==
dependencies:
"@babel/helper-module-imports" "^7.0.0"
metro-babel7-plugin-react-transform@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-babel7-plugin-react-transform/-/metro-babel7-plugin-react-transform-0.51.1.tgz#9cce2c340cc4006fc82aa6dfab27af22d592607e"
integrity sha512-wzn4X9KgmAMZ7Bi6v9KxA7dw+AHGL0RODPxU5NDJ3A6d0yERvzfZ3qkzWhz8jbFkVBK12cu5DTho3HBazKQDOw==
dependencies:
"@babel/helper-module-imports" "^7.0.0"
......@@ -5681,13 +5763,13 @@ metro-babel7-plugin-react-transform@0.53.1:
dependencies:
"@babel/helper-module-imports" "^7.0.0"
metro-cache@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-cache/-/metro-cache-0.49.2.tgz#355dd3dba9fbd805a7ca6f55646216d35ca98225"
integrity sha512-GFeK4bPQn/U9bbRlVPhu2dYMe/b/GsNOFPEResOxr0kQreHV81rs6Jzcr4pU+9HY7vFiEQ1oggnsLUmANuRyPQ==
metro-cache@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-cache/-/metro-cache-0.51.1.tgz#d0b296eab8e009214413bba87e4eac3d9b44cd04"
integrity sha512-0m1+aicsw77LVAehNuTxDpE1c/7Xv/ajRD+UL/lFCWUxnrjSbxVtIKr8l5DxEY11082c1axVRuaV9e436W+eXg==
dependencies:
jest-serializer "24.0.0-alpha.6"
metro-core "0.49.2"
metro-core "0.51.1"
mkdirp "^0.5.1"
rimraf "^2.5.4"
......@@ -5701,15 +5783,15 @@ metro-cache@0.53.1:
mkdirp "^0.5.1"
rimraf "^2.5.4"
metro-config@0.49.2, metro-config@^0.49.1:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-config/-/metro-config-0.49.2.tgz#d9dd0cc32fdb9731b4685b0019c98874a6e4443b"
integrity sha512-olh50qIMWd+Mj47TQeFnIW9NIquMpfq2g2NT5k+rwI38Xfk+KBnV4BamxtzZuViH7eQI06+Cdyu4NvcZffBXGg==
metro-config@0.51.1, metro-config@^0.51.0:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-config/-/metro-config-0.51.1.tgz#8f1a241ce2c0b521cd492c39bc5c6c69e3397b82"
integrity sha512-WCNd0tTI9gb/ubgTqK1+ljZL4b3hsXVinsOAtep4nHiVb6DSDdbO2yXDD2rpYx3NE6hDRMFS9HHg6G0139pAqQ==
dependencies:
cosmiconfig "^5.0.5"
metro "0.49.2"
metro-cache "0.49.2"
metro-core "0.49.2"
metro "0.51.1"
metro-cache "0.51.1"
metro-core "0.51.1"
pretty-format "24.0.0-alpha.6"
metro-config@0.53.1, metro-config@^0.53.1:
......@@ -5723,14 +5805,14 @@ metro-config@0.53.1, metro-config@^0.53.1:
metro-core "0.53.1"
pretty-format "24.0.0-alpha.6"
metro-core@0.49.2, metro-core@^0.49.1:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-core/-/metro-core-0.49.2.tgz#e3d7f9f02454863fc047bd75c2e37d5544c72d1a"
integrity sha512-kqhvNPOUTUWOqfm4nFF8l0zWMp2BKO1BUx5KY7osFnVTUpDkuq9Iy433FqEFVhA2jUISrmnd0CTIPcDQyFNllQ==
metro-core@0.51.1, metro-core@^0.51.0:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-core/-/metro-core-0.51.1.tgz#e7227fb1dd1bb3f953272fad9876e6201140b038"
integrity sha512-sG1yACjdFqmIzZN50HqLTKUMp1oy0AehHhmIuYeIllo1DjX6Y2o3UAT3rGP8U+SAqJGXf/OWzl6VNyRPGDENfA==
dependencies:
jest-haste-map "24.0.0-alpha.6"
lodash.throttle "^4.1.1"
metro-resolver "0.49.2"
metro-resolver "0.51.1"
wordwrap "^1.0.0"
metro-core@0.53.1:
......@@ -5754,15 +5836,15 @@ metro-inspector-proxy@0.53.1:
ws "^1.1.5"
yargs "^9.0.0"
metro-memory-fs@^0.49.1:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-memory-fs/-/metro-memory-fs-0.49.2.tgz#af3128b8a60d02d4aed427558b42c8d210a5543c"
integrity sha512-bt7ve7iud5gU4Duo9MVMqohJ0nBxILHmQxFhDXOvJnttiDuIfQQUK84pVlo8maNkFbN8uxEJPLBjpD1DC1IOxA==
metro-memory-fs@^0.51.0:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-memory-fs/-/metro-memory-fs-0.51.1.tgz#624291f5956b0fd11532d80b1b85d550926f96c9"
integrity sha512-dXVUpLPLwfQcYHd1HlqHGVzBsiwvUdT92TDSbdc10152TP+iynHBqLDWbxt0MAtd6c/QXwOuGZZ1IcX3+lv5iw==
metro-minify-uglify@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-minify-uglify/-/metro-minify-uglify-0.49.2.tgz#f3b8615cb0e9afd714e4952842bcb9f4d71b4822"
integrity sha512-LfnR5N2784pnHe5ShioNkLHyUA1unDU6iLivehX2Waxno1oIP3xKYl/u/VTDET4L8AvLwa5HFACE2hbiWjGQ2Q==
metro-minify-uglify@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-minify-uglify/-/metro-minify-uglify-0.51.1.tgz#60cd8fe4d3e82d6670c717b8ddb52ae63199c0e4"
integrity sha512-HAqd/rFrQ6mnbqVAszDXIKTg2rqHlY9Fm8DReakgbkAeyMbF2mH3kEgtesPmTrhajdFk81UZcNSm6wxj1JMgVg==
dependencies:
uglify-es "^3.1.9"
......@@ -5773,10 +5855,10 @@ metro-minify-uglify@0.53.1:
dependencies:
uglify-es "^3.1.9"
metro-react-native-babel-preset@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.49.2.tgz#8d53610e044e0c9a53a03d307e1c51f9e8577abc"
integrity sha512-N0+4ramShYCHSAVEPUNWIZuKZskWj8/RDSoinhadHpdpHORMbMxLkexSOVHLluB+XFQ+DENLEx5oVPYwOlENBA==
metro-react-native-babel-preset@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.51.0.tgz#978d960acf2d214bbbe43e59145878d663bd07de"
integrity sha512-Y/aPeLl4RzY8IEAneOyDcpdjto/8yjIuX9eUWRngjSqdHYhGQtqiSBpfTpo0BvXpwNRLwCLHyXo58gNpckTJFw==
dependencies:
"@babel/plugin-proposal-class-properties" "^7.0.0"
"@babel/plugin-proposal-export-default-from" "^7.0.0"
......@@ -5811,7 +5893,48 @@ metro-react-native-babel-preset@0.49.2:
"@babel/plugin-transform-typescript" "^7.0.0"
"@babel/plugin-transform-unicode-regex" "^7.0.0"
"@babel/template" "^7.0.0"
metro-babel7-plugin-react-transform "0.49.2"
metro-babel7-plugin-react-transform "0.51.0"
react-transform-hmr "^1.0.4"
metro-react-native-babel-preset@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-preset/-/metro-react-native-babel-preset-0.51.1.tgz#44aeeedfea37f7c2ab8f6f273fa71b90fe65f089"
integrity sha512-e9tsYDFhU70gar0jQWcZXRPJVCv4k7tEs6Pm74wXO2OO/T1MEumbvniDIGwGG8bG8RUnYdHhjcaiub2Vc5BRWw==
dependencies:
"@babel/plugin-proposal-class-properties" "^7.0.0"
"@babel/plugin-proposal-export-default-from" "^7.0.0"
"@babel/plugin-proposal-nullish-coalescing-operator" "^7.0.0"
"@babel/plugin-proposal-object-rest-spread" "^7.0.0"
"@babel/plugin-proposal-optional-catch-binding" "^7.0.0"
"@babel/plugin-proposal-optional-chaining" "^7.0.0"
"@babel/plugin-syntax-dynamic-import" "^7.0.0"
"@babel/plugin-syntax-export-default-from" "^7.0.0"
"@babel/plugin-transform-arrow-functions" "^7.0.0"
"@babel/plugin-transform-block-scoping" "^7.0.0"
"@babel/plugin-transform-classes" "^7.0.0"
"@babel/plugin-transform-computed-properties" "^7.0.0"
"@babel/plugin-transform-destructuring" "^7.0.0"
"@babel/plugin-transform-exponentiation-operator" "^7.0.0"
"@babel/plugin-transform-flow-strip-types" "^7.0.0"
"@babel/plugin-transform-for-of" "^7.0.0"
"@babel/plugin-transform-function-name" "^7.0.0"
"@babel/plugin-transform-literals" "^7.0.0"
"@babel/plugin-transform-modules-commonjs" "^7.0.0"
"@babel/plugin-transform-object-assign" "^7.0.0"
"@babel/plugin-transform-parameters" "^7.0.0"
"@babel/plugin-transform-react-display-name" "^7.0.0"
"@babel/plugin-transform-react-jsx" "^7.0.0"
"@babel/plugin-transform-react-jsx-source" "^7.0.0"
"@babel/plugin-transform-regenerator" "^7.0.0"
"@babel/plugin-transform-runtime" "^7.0.0"
"@babel/plugin-transform-shorthand-properties" "^7.0.0"
"@babel/plugin-transform-spread" "^7.0.0"
"@babel/plugin-transform-sticky-regex" "^7.0.0"
"@babel/plugin-transform-template-literals" "^7.0.0"
"@babel/plugin-transform-typescript" "^7.0.0"
"@babel/plugin-transform-unicode-regex" "^7.0.0"
"@babel/template" "^7.0.0"
metro-babel7-plugin-react-transform "0.51.1"
react-transform-hmr "^1.0.4"
metro-react-native-babel-preset@0.52.0, metro-react-native-babel-preset@^0.52.0:
......@@ -5898,6 +6021,26 @@ metro-react-native-babel-preset@0.53.1:
metro-babel7-plugin-react-transform "0.53.1"
react-transform-hmr "^1.0.4"
metro-react-native-babel-transformer@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-transformer/-/metro-react-native-babel-transformer-0.51.0.tgz#57a695e97a19d95de63c9633f9d0dc024ee8e99a"
integrity sha512-VFnqtE0qrVmU1HV9B04o53+NZHvDwR+CWCoEx4+7vCqJ9Tvas741biqCjah9xtifoKdElQELk6x0soOAWCDFJA==
dependencies:
"@babel/core" "^7.0.0"
babel-preset-fbjs "^3.0.1"
metro-babel-transformer "0.51.0"
metro-react-native-babel-preset "0.51.0"
metro-react-native-babel-transformer@^0.51.0:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-transformer/-/metro-react-native-babel-transformer-0.51.1.tgz#bac34f988c150c725cd1875c13701cc2032615f9"
integrity sha512-D0KU+JPb/Z76nUWt3+bkjKggOlGvqAVI2BpIH2JFKprpUyBjWaCRqHnkBfZGixYwUfmu93MIlKJWr6iKzzFrlg==
dependencies:
"@babel/core" "^7.0.0"
babel-preset-fbjs "^3.0.1"
metro-babel-transformer "0.51.1"
metro-react-native-babel-preset "0.51.1"
metro-react-native-babel-transformer@^0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/metro-react-native-babel-transformer/-/metro-react-native-babel-transformer-0.52.0.tgz#627171c33a30953ef2cfd93ed3f5643569e46652"
......@@ -5908,10 +6051,10 @@ metro-react-native-babel-transformer@^0.52.0:
metro-babel-transformer "0.52.0"
metro-react-native-babel-preset "0.52.0"
metro-resolver@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-resolver/-/metro-resolver-0.49.2.tgz#b7580d7a24fdf96170a9d4099a66b29a18e6e5f8"
integrity sha512-Si9/A+jNQmVWlLSi6fXSG1tDEanYu99PMz/cAvM+aZy1yX9RyqfJzHzWVdr4lrNh+4DKCgDea94B9BjezqNYyw==
metro-resolver@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-resolver/-/metro-resolver-0.51.1.tgz#4c26f0baee47d30250187adca3d34c902e627611"
integrity sha512-zmWbD/287NDA/jLPuPV0hne/YMMSG0dljzu21TYMg2lXRLur/zROJHHhyepZvuBHgInXBi4Vhr2wvuSnY39SuA==
dependencies:
absolute-path "^0.0.0"
......@@ -5922,10 +6065,10 @@ metro-resolver@0.53.1:
dependencies:
absolute-path "^0.0.0"
metro-source-map@0.49.2:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro-source-map/-/metro-source-map-0.49.2.tgz#0f9e3d0286fc9549652c99b56b7aa2aec12372e7"
integrity sha512-gUQ9wq8iR05QeMqRbAJ+L961LVfoNKLBXSeEzHxoDNSwZ7jFYLMKn0ofLlfMy0S1javZGisS51l5OScLt83naQ==
metro-source-map@0.51.1:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro-source-map/-/metro-source-map-0.51.1.tgz#1a8da138e98e184304d5558b4f92a5c2141822d0"
integrity sha512-JyrE+RV4YumrboHPHTGsUUGERjQ681ImRLrSYDGcmNv4tfpk9nvAK26UAas4IvBYFCC9oW90m0udt3kaQGv59Q==
dependencies:
source-map "^0.5.6"
......@@ -5936,10 +6079,10 @@ metro-source-map@0.53.1:
dependencies:
source-map "^0.5.6"
metro@0.49.2, metro@^0.49.1:
version "0.49.2"
resolved "https://registry.yarnpkg.com/metro/-/metro-0.49.2.tgz#0fd615d9f451893a0816721b46e94dcf49dda0f6"
integrity sha512-GSNMigeQq+QQ++qwEnWx0hjtYCZIvogn4JuqpKqOyVqNbg+aIheJPvxfDzjF9OXM5WHuNsTfGLW8n5kbUmQJSg==
metro@0.51.1, metro@^0.51.0:
version "0.51.1"
resolved "https://registry.yarnpkg.com/metro/-/metro-0.51.1.tgz#b0aad4731593b9f244261bad1abb2a006d1c8969"
integrity sha512-nM0dqn8LQlMjhChl2fzTUq2EWiUebZM7nkesD9vQe47W10bj/tbRLPiIIAxht6SRDbPd/hRA+t39PxLhPSKEKg==
dependencies:
"@babel/core" "^7.0.0"
"@babel/generator" "^7.0.0"
......@@ -5952,7 +6095,7 @@ metro@0.49.2, metro@^0.49.1:
async "^2.4.0"
babel-preset-fbjs "^3.0.1"
buffer-crc32 "^0.2.13"
chalk "^1.1.1"
chalk "^2.4.1"
concat-stream "^1.6.0"
connect "^3.6.5"
debug "^2.2.0"
......@@ -5962,18 +6105,20 @@ metro@0.49.2, metro@^0.49.1:
fs-extra "^1.0.0"
graceful-fs "^4.1.3"
image-size "^0.6.0"
invariant "^2.2.4"
jest-haste-map "24.0.0-alpha.6"
jest-worker "24.0.0-alpha.6"
json-stable-stringify "^1.0.1"
lodash.throttle "^4.1.1"
merge-stream "^1.0.1"
metro-cache "0.49.2"
metro-config "0.49.2"
metro-core "0.49.2"
metro-minify-uglify "0.49.2"
metro-react-native-babel-preset "0.49.2"
metro-resolver "0.49.2"
metro-source-map "0.49.2"
metro-babel-transformer "0.51.1"
metro-cache "0.51.1"
metro-config "0.51.1"
metro-core "0.51.1"
metro-minify-uglify "0.51.1"
metro-react-native-babel-preset "0.51.1"
metro-resolver "0.51.1"
metro-source-map "0.51.1"
mime-types "2.1.11"
mkdirp "^0.5.1"
node-fetch "^2.2.0"
......@@ -5987,7 +6132,7 @@ metro@0.49.2, metro@^0.49.1:
throat "^4.1.0"
wordwrap "^1.0.0"
write-file-atomic "^1.2.0"
ws "^1.1.0"
ws "^1.1.5"
xpipe "^1.0.5"
yargs "^9.0.0"
......@@ -6905,7 +7050,7 @@ plist@2.0.1:
xmlbuilder "8.2.2"
xmldom "0.1.x"
plist@^3.0.0:
plist@^3.0.0, plist@^3.0.1:
version "3.0.1"
resolved "https://registry.yarnpkg.com/plist/-/plist-3.0.1.tgz#a9b931d17c304e8912ef0ba3bdd6182baf2e1f8c"
integrity sha512-GpgvHHocGRyQm74b6FWEZZVRroHKE1I0/BTjAmySaohK+cUn+hZpbqXkc3KWgW3gQYkqcQej35FohcT0FRlkRQ==
......@@ -7137,10 +7282,10 @@ react-deep-force-update@^1.0.0:
resolved "https://registry.yarnpkg.com/react-deep-force-update/-/react-deep-force-update-1.1.2.tgz#3d2ae45c2c9040cbb1772be52f8ea1ade6ca2ee1"
integrity sha512-WUSQJ4P/wWcusaH+zZmbECOk7H5N2pOIl0vzheeornkIMhu+qrNdGFm0bDZLCb0hSF0jf/kH1SgkNGfBdTc4wA==
react-devtools-core@^3.4.2:
version "3.6.0"
resolved "https://registry.yarnpkg.com/react-devtools-core/-/react-devtools-core-3.6.0.tgz#77009517d72594fe6e2794f5ae160646d77fc467"
integrity sha512-picLP5RMESANerl2Ieo2rcMmVBqTG5QgIkSGcoJqvT5V4+HpLRjz5QW8xC85i+bXLdJmjoi3ZE9qDpNa5m7S4A==
react-devtools-core@^3.6.0:
version "3.6.1"
resolved "https://registry.yarnpkg.com/react-devtools-core/-/react-devtools-core-3.6.1.tgz#51af81ceada65209bbccb8b547a01187cd1cbf04"
integrity sha512-I/LSX+tpeTrGKaF1wXSfJ/kP+6iaP2JfshEjW8LtQBdz6c6HhzOJtjZXhqOUrAdysuey8M1/JgPY1flSVVt8Ig==
dependencies:
shell-quote "^1.6.1"
ws "^3.3.1"
......@@ -7307,23 +7452,23 @@ react-native-vector-icons@^6.3.0:
prop-types "^15.6.2"
yargs "^8.0.2"
react-native@0.58.5:
version "0.58.5"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.58.5.tgz#672709bafd845e35ab4dd32b8ccccae32d54d552"
integrity sha512-wCWjUAtvRK7A1YxnCANAW8/3+x3gh2WUifYqdvKSAJ6wGsftLgvj1JxIaUMQ3mKi0aUeAlHnz0cO21ZPCLgd+g==
react-native@0.59.8:
version "0.59.8"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.59.8.tgz#ade4141c777c60f5ec4889d9811d0f80a9d56547"
integrity sha512-x1T+/pEXrjgdH9uDzd5doJy5aFlBqW04j7ljDKIGALchhnvdFbtXXrUZ/1PfWHMrIdZxtaDt4tkSttp662GSQA==
dependencies:
"@babel/runtime" "^7.0.0"
"@react-native-community/cli" "^1.2.1"
absolute-path "^0.0.0"
art "^0.10.0"
base64-js "^1.1.2"
chalk "^1.1.1"
chalk "^2.4.1"
commander "^2.9.0"
compression "^1.7.1"
connect "^3.6.5"
create-react-class "^15.6.3"
debug "^2.2.0"
denodeify "^1.2.1"
envinfo "^5.7.0"
errorhandler "^1.5.0"
escape-string-regexp "^1.0.5"
event-target-shim "^1.0.5"
......@@ -7333,12 +7478,10 @@ react-native@0.58.5:
glob "^7.1.1"
graceful-fs "^4.1.3"
inquirer "^3.0.6"
invariant "^2.2.4"
lodash "^4.17.5"
metro "^0.49.1"
metro-babel-register "^0.49.1"
metro-config "^0.49.1"
metro-core "^0.49.1"
metro-memory-fs "^0.49.1"
metro-babel-register "0.51.0"
metro-react-native-babel-transformer "0.51.0"
mime "^1.3.4"
minimist "^1.2.0"
mkdirp "^0.5.1"
......@@ -7354,7 +7497,7 @@ react-native@0.58.5:
promise "^7.1.1"
prop-types "^15.5.8"
react-clone-referenced-element "^1.0.1"
react-devtools-core "^3.4.2"
react-devtools-core "^3.6.0"
regenerator-runtime "^0.11.0"
rimraf "^2.5.4"
semver "^5.0.3"
......@@ -7362,7 +7505,6 @@ react-native@0.58.5:
shell-quote "1.6.1"
stacktrace-parser "^0.1.3"
ws "^1.1.5"
xcode "^1.0.0"
xmldoc "^0.4.0"
yargs "^9.0.0"
......@@ -7453,15 +7595,15 @@ react-transform-hmr@^1.0.4:
global "^4.3.0"
react-proxy "^1.1.7"
react@^16.8.2:
version "16.8.2"
resolved "https://registry.yarnpkg.com/react/-/react-16.8.2.tgz#83064596feaa98d9c2857c4deae1848b542c9c0c"
integrity sha512-aB2ctx9uQ9vo09HVknqv3DGRpI7OIGJhCx3Bt0QqoRluEjHSaObJl+nG12GDdYH6sTgE7YiPJ6ZUyMx9kICdXw==
react@16.8.3:
version "16.8.3"
resolved "https://registry.yarnpkg.com/react/-/react-16.8.3.tgz#c6f988a2ce895375de216edcfaedd6b9a76451d9"
integrity sha512-3UoSIsEq8yTJuSu0luO1QQWYbgGEILm+eJl2QN/VLDi7hL+EN18M3q3oVZwmVzzBJ3DkM7RMdRwBmZZ+b4IzSA==
dependencies:
loose-envify "^1.1.0"
object-assign "^4.1.1"
prop-types "^15.6.2"
scheduler "^0.13.2"
scheduler "^0.13.3"
read-env@^1.3.0:
version "1.3.0"
......@@ -8026,6 +8168,14 @@ scheduler@^0.13.2:
loose-envify "^1.1.0"
object-assign "^4.1.1"
scheduler@^0.13.3:
version "0.13.6"
resolved "https://registry.yarnpkg.com/scheduler/-/scheduler-0.13.6.tgz#466a4ec332467b31a91b9bf74e5347072e4cd889"
integrity sha512-IWnObHt413ucAYKsD9J1QShUKkbKLQQHdxRyw73sw4FN26iWr3DY/H34xGPe4nmL1DwXyWmSWmMrA9TfQbE/XQ==
dependencies:
loose-envify "^1.1.0"
object-assign "^4.1.1"
"semver@2 || 3 || 4 || 5", semver@5.x, semver@^5.0.3, semver@^5.1.0, semver@^5.3.0, semver@^5.4.1, semver@^5.5.0, semver@^5.5.1, semver@^5.6.0:
version "5.6.0"
resolved "https://registry.yarnpkg.com/semver/-/semver-5.6.0.tgz#7e74256fbaa49c75aa7c7a205cc22799cac80004"
......@@ -8157,6 +8307,15 @@ simple-plist@^0.2.1:
bplist-parser "0.1.1"
plist "2.0.1"
simple-plist@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/simple-plist/-/simple-plist-1.0.0.tgz#bed3085633b22f371e111f45d159a1ccf94b81eb"
integrity sha512-043L2rO80LVF7zfZ+fqhsEkoJFvW8o59rt/l4ctx1TJWoTx7/jkiS1R5TatD15Z1oYnuLJytzE7gcnnBuIPL2g==
dependencies:
bplist-creator "0.0.7"
bplist-parser "0.1.1"
plist "^3.0.1"
sisteransi@^0.1.1:
version "0.1.1"
resolved "https://registry.yarnpkg.com/sisteransi/-/sisteransi-0.1.1.tgz#5431447d5f7d1675aac667ccd0b865a4994cb3ce"
......@@ -8818,6 +8977,11 @@ unique-stream@^2.0.2:
json-stable-stringify-without-jsonify "^1.0.1"
through2-filter "^3.0.0"
universalify@^0.1.0:
version "0.1.2"
resolved "https://registry.yarnpkg.com/universalify/-/universalify-0.1.2.tgz#b646f69be3942dabcecc9d6639c80dc105efaa66"
integrity sha512-rBJeI5CXAlmy1pV+617WB9J63U6XcazHHF2f2dbJix4XzpUF0RS3Zbj0FGIOCAva5P/d/GBOYaACQ1w+0azUkg==
unpipe@~1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/unpipe/-/unpipe-1.0.0.tgz#b2bf4ee8514aae6165b4817829d21b2ef49904ec"
......@@ -9175,12 +9339,12 @@ ws@^5.2.0:
dependencies:
async-limiter "~1.0.0"
xcode@^1.0.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/xcode/-/xcode-1.1.0.tgz#9fcb63f417a9af377bfb743a5c22afce4e1da964"
integrity sha512-hllHFtfsNu5WbVzj8KbGNdI3NgOYmTLZqyF4a9c9J1aGMhAdxmLLsXlpG0Bz8fEtKh6I3pyargRXN0ZlLpcF5w==
xcode@^2.0.0:
version "2.0.0"
resolved "https://registry.yarnpkg.com/xcode/-/xcode-2.0.0.tgz#134f1f94c26fbfe8a9aaa9724bfb2772419da1a2"
integrity sha512-5xF6RCjAdDEiEsbbZaS/gBRt3jZ/177otZcpoLCjGN/u1LrfgH7/Sgeeavpr/jELpyDqN2im3AKosl2G2W8hfw==
dependencies:
simple-plist "^0.2.1"
simple-plist "^1.0.0"
uuid "^3.3.2"
"xcode@https://github.com/apache/cordova-node-xcode#e7646f0680d509b590b839e567c217590451505b":
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment